class Baiduserp::Parser
  def _parse_ads_top(file)
    result = []
    rank = 0

    part = file[:doc].search('div#content_left').first
    return result if part.nil?

    part.children.each do |div|
      id = div['id'].to_i
      break if id > 0 && id < 3000
      next unless div['class'].to_s.include?('ec_pp_f')
      rank += 1

      if div.name == 'div'
        r = {rank: rank, id: id}

        r[:title] = Baiduserp::Helper.get_content_safe(div.search('div.ec_title'))

        r[:content] = Baiduserp::Helper.get_content_safe(div.search('div.ec_desc'))

        r[:url] = Baiduserp::Helper.get_content_safe(div.search('span.ec_url'))

        result << r

      else # div.name == 'table'
        r = {rank: rank, id: id}

        r[:title] = Baiduserp::Helper.get_content_safe(div.search('td.EC_header/a'))

        r[:content] = Baiduserp::Helper.get_content_safe(div.search('a.EC_desc'))

        r[:url] = Baiduserp::Helper.get_content_safe(div.search('a.EC_url'))

        result << r

      end
    end

    result
  end
end
