class Baiduserp::Parser
  def _parse_ranks(file)
    result = []
    part = file[:doc].search("div[@id='content_left']").first
    return result if part.nil?

    part.children.each do |table|
      next if table.nil?
      id = table['id'].to_i
      next unless id > 0 && id < 3000

      r = {:rank => id}

      r[:result_op] = table['class'].to_s.include?('result-op')

      r[:fk] = table['fk']

      r[:srcid] = table['srcid']

      r[:tpl] = table['tpl']

      r[:mu] = table['mu']

      url = table.search('h3/a').first
      unless url.nil?
        url = url['href'] 
        sleep(rand)
        url = Baiduserp::Client.get_rank_url(url).headers['location'] if url.include?('http://www.baidu.com/link?')
      end
      r[:url] = url

      r[:title] = Baiduserp::Helper.get_content_safe(table.search('h3'))

      r[:content] = Baiduserp::Helper.get_content_safe(table.search('div.c-abstract'))

      table.search('a').each do |link|
        r[:baiduopen] = true if link['href'].to_s.include?('open.baidu.com')
      end
      r[:baiduopen] = false if r[:baiduopen].nil?
      
      result << r
    end
    result
  end
end
